
Foreman - Refactor #21938

Single upgrade rake task

12/11/2017 08:17 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Rake tasks   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5780

  

Description

Currently there are many rake tasks for upgrades that are called one-by-one in the installer. This means that for every upgrade step

we need to write code for an additional task. I'd be much easier if there was a single task that wrapped all katello:upgrades:* tasks so

we could simply do foreman-rake katello:upgrade.

Related issues:

Is duplicate of Katello - Bug #22961: re-vamp upgrade proccess to not require... Duplicate

Blocks Katello - Tracker #23927: Convert sync plans to Foreman Tasks Closed

Blocks Katello - Refactor #24189: Update katello to use foreman upgrade task Closed

Associated revisions

Revision d93cd014 - 09/04/2018 04:36 PM - Justin Sherrill

Fixes #21938 - add plugable upgrade rake task

This commit adds the ability for upgrade rake tasks to be defined

within seeds.  The installer can then run the upgrade:run rake task

to run them.  Tasks can be defined to run once or to always run when

the upgrade:run master task is run.

History

#1 - 12/13/2017 06:47 PM - Andrew Kofink

- translation missing: en.field_release set to 284

#2 - 12/13/2017 06:48 PM - Andrew Kofink

- Category set to Upgrades

- translation missing: en.field_release changed from 284 to 114

#3 - 01/15/2018 04:40 PM - Justin Sherrill

- translation missing: en.field_release changed from 114 to 338

#4 - 06/19/2018 06:42 PM - Justin Sherrill

- Is duplicate of Bug #22961: re-vamp upgrade proccess to not require installer updates added

#5 - 06/19/2018 06:44 PM - Justin Sherrill

- Blocks Tracker #23927: Convert sync plans to Foreman Tasks added

#6 - 06/19/2018 06:44 PM - Justin Sherrill

- Status changed from New to Duplicate

#7 - 07/05/2018 08:16 PM - Justin Sherrill

- Project changed from Katello to Foreman
- Category changed from Upgrades to Rake tasks

- Assignee set to Justin Sherrill

- translation missing: en.field_release deleted (338)

- Triaged set to No

#8 - 07/06/2018 08:17 PM - Justin Sherrill

- Status changed from Duplicate to New

#9 - 07/06/2018 08:33 PM - Justin Sherrill

- Blocks Refactor #24189: Update katello to use foreman upgrade task added

#10 - 07/09/2018 03:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5780 added

#11 - 09/04/2018 05:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

Applied in changeset d93cd014d1831086f9652062f15ae722bc352bb8.

#12 - 09/04/2018 05:39 PM - Marek Hulán

- Fixed in Releases 1.20.0 added
